Package weka.core.logging

# Enum Class Logger.Level

java.lang.Object
java.lang.Enum<Logger.Level>
weka.core.logging.Logger.Level

All Implemented Interfaces:
  `Serializable`, `Comparable<Logger.Level>`, `Constable`

Enclosing class:
  `Logger`

public static enum Logger.Level extends Enum<Logger.Level>
The logging level.

Version:
  $Revision: 4716 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
logs all messages.
`FINE`
FINER level.
`FINER`
FINEST level.
`FINEST`
FINEST level.
`INFO`
FINE level.
`OFF`
turns logging off.
`SEVERE`
SEVERE level.
`WARNING`
WARNING level.

## Method Summary

Modifier and Type
Method
Description
`int`
`getOrder()`
Returns the order of this level.
`static Logger.Level`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Logger.Level[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL

public static final Logger.Level ALL
logs all messages.

### FINEST

public static final Logger.Level FINEST
FINEST level.

### FINER

public static final Logger.Level FINER
FINEST level.

### FINE

public static final Logger.Level FINE
FINER level.

### INFO

public static final Logger.Level INFO
FINE level.

### WARNING

public static final Logger.Level WARNING
WARNING level.

### SEVERE

public static final Logger.Level SEVERE
SEVERE level.

### OFF

public static final Logger.Level OFF
turns logging off.

## Method Details

### values

public static Logger.Level[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Logger.Level valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getOrder

public int getOrder()
Returns the order of this level.

Returns:
  the order